# Uses of Class
java.security.cert.CertPathBuilderException

Packages that use CertPathBuilderException
Package
Description
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.

## Uses of CertPathBuilderException in java.security.cert

Methods in java.security.cert that throw CertPathBuilderException
Modifier and Type
Method
Description
`final CertPathBuilderResult`
CertPathBuilder.`build(CertPathParameters params)`
Attempts to build a certification path using the specified algorithm parameter set.
`abstract CertPathBuilderResult`
CertPathBuilderSpi.`engineBuild(CertPathParameters params)`
Attempts to build a certification path using the specified algorithm parameter set.